Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.table
Class SortedTableHeaderMouseListener

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--com.smardec.asc.table.SortedTableHeaderMouseListener

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener

public class SortedTableHeaderMouseListener
extends java.awt.event.MouseAdapter

`MouseListener` that invokes sorting when a button is pressed on the column's header.

Constructor Summary
`SortedTableHeaderMouseListener(javax.swing.JTable table, SortedTableModel sortedTableModel)` Creates `SortedTableHeaderMouseListener` object with specified `JTable` and `SortedTableModel`.

Method Summary
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Invoked when the mouse has been clicked on a component.

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedTableHeaderMouseListener

    public SortedTableHeaderMouseListener(javax.swing.JTable table,
                                          SortedTableModel sortedTableModel)

  Creates `SortedTableHeaderMouseListener` object with specified `JTable` and `SortedTableModel`.

Parameters:
  `table` - `JTable` component
  `sortedTableModel` - `SortedTableModel` object

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Invoked when the mouse has been clicked on a component. Invokes sorting of the column.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `java.awt.event.MouseAdapter`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.